# SaveLoad Struct Reference

SaveLoad type struct. More...

`#include <saveload.h>`

## Data Fields
bool | global
| should we load a global variable or a non-global one
SaveLoadType | cmd
| the action to take with the saved/loaded type, All types need different action
VarType | conv
| type of the variable to be saved, int
uint16 | length
| (conditional) length of the variable (eg. arrays) (max array size is 65536 elements)
uint16 | version_from
| save/load the variable starting from this savegame version
uint16 | version_to
| save/load the variable until this savegame version
void * | address
| address of variable OR offset of variable in the struct (max offset is 65536)

## Detailed Description

SaveLoad type struct.

Do NOT use this directly but use the SLE_ macros defined just below!

Definition at line 192 of file saveload.h.

The documentation for this struct was generated from the following file:

- src/saveload/saveload.h